# Method: admin.directory.v1.customers.chrome.printers.patch

Updates a `Printer` resource.

### HTTP request

`PATCH https://admin.googleapis.com/admin/directory/v1/{printer.name=customers/*/chrome/printers/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `printer.name` | `string` Identifier. The resource name of the Printer object, in the format customers/{customer-id}/printers/{printer-id} (During printer creation leave empty) |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be updated. Note, some of the fields are read only and cannot be updated. Values for not specified fields will be patched. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `clearMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The list of fields to be cleared. Note, some of the fields are read only and cannot be updated. Values for not specified fields will be patched. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printers#Printer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.chrome.printers`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).